README.irix update.
authorJarkko Hietaniemi <jhi@iki.fi>
Fri, 14 Jun 2002 19:04:53 +0000 (19:04 +0000)
committerJarkko Hietaniemi <jhi@iki.fi>
Fri, 14 Jun 2002 19:04:53 +0000 (19:04 +0000)
p4raw-id: //depot/perl@17244

README.irix

index dddb5ff..9cafd26 100644 (file)
@@ -52,7 +52,15 @@ errors (especially with -Duse64bitall).
 
 =head2 Building with threads
 
-For Irix 6.2, you have to have the following patches installed:
+Run Configure with -Duseithreads which will configure Perl with
+the new Perl 5.8.0 "interpreter threads", see L<threads>.
+
+The old Perl 5.005 threads is obsolete, unmaintained, and its use is
+discouraged.  If you really want it, run Configure with the
+-Dusethreads -Duse5005threads options as described in INSTALL.
+
+For either thread model and for Irix 6.2, you have to have the
+following patches installed:
 
         1404 Irix 6.2 Posix 1003.1b man pages
         1645 Irix 6.2 & 6.3 POSIX header file updates
@@ -64,6 +72,9 @@ IMPORTANT: Without patch 2401, a kernel bug in Irix 6.2 will cause
 your machine to panic and crash when running threaded perl.  Irix 6.3
 and later are okay.
 
+    Thanks to Hannu Napari <Hannu.Napari@hut.fi> for the IRIX
+    pthreads patches information.
+
 =head1 AUTHOR
 
 Jarkko Hietaniemi <jhi@iki.fi>